from datetime import datetime, timedelta
from flask import Blueprint, redirect, request

cookie_consent = Blueprint(
    'cookie_consent',
    __name__
)
@cookie_consent.route('/')
def _cookies():
    resp = redirect('/')
    resp.set_cookie(
        key = 'cookie_consent',
        value = 'True',
        max_age = timedelta(days=14) if request.cookies.get('remember') == 'True' else 'Session',
        path = '/',
        expires = datetime.utcnow() + timedelta(days=14) if request.cookies.get('remember') else 'Session'
    )
    return resp