from flask import Blueprint, render_template
from .views import login_required, admin_account_required

results = Blueprint(
    'results',
    __name__,
    template_folder='templates',
    static_folder='static'
)

@results.route('/')
@admin_account_required
@login_required
def _results():
    return render_template('/admin/results.html')